Bug 36053 - Broken enum values conversion
Summary: Broken enum values conversion
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Debugger (show other bugs)
Version: 5.0
Hardware: PC Mac OS
: --- normal
Target Milestone: master
Assignee: David Karlaš
URL:
Depends on:
Blocks:
 
Reported: 2015-11-19 11:34 UTC by Marek Safar
Modified: 2015-12-13 06:17 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Marek Safar 2015-11-19 11:34:29 UTC
using System;
using System.Globalization;

class X
{
	public static void Main()
	{
		var fiFI = CultureInfo.GetCultureInfo ("fi-FI");

		var pp = fiFI.DateTimeFormat.FirstDayOfWeek; // Hover over pp and it shows correctly expanded enum value, hover over FirstDayOfWeek and you get int value
		return;
	}
}
Comment 2 xamarin-release-manager 2015-12-13 06:13:15 UTC
Fixed in version 6.0.0.2506 (master)

Author: David Karlas??
Commit: d65261617baddb5b41f665b0eb717cd1f81873b6 (mono/debugger-libs)
Included in Commit: 6260390949ad98d99bc7deb63660f7a3752b6a8d (mono/monodevelop)

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 36053 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: